Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
POSTSSO OperationsSince 4.5.0SynchronousAuth Required

CreateCasClient

CreateCasClient

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • nameStringRequired

    The resource name.

  • descriptionString

    Optional. The detailed description of the resource.

  • casServerLoginUrlStringRequired

    casServerLoginUrl.

  • casServerUrlPrefixStringRequired

    casServerUrlPrefix.

  • serverNameStringRequired

    The mn address (http://{mn_ip:port}/8080).

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryCasClientInventoryRequired

    See inventory

    • casServerLoginUrlStringRequired

      casServerLoginUrl.

    • casServerUrlPrefixStringRequired

      casServerUrlPrefix.

    • serverNameStringRequired

      The mn address (http://{mn_ip:port}/8080).

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • clientTypeStringRequired

      clientType.

    • loginTypeStringRequired

      The login type: cas-iam1 cas-ima2 oauth2-iam1 oauth2-iam2

    • loginMNUrlStringRequired

      The password-free login url.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • accountUuidStringRequired

      The account UUID.

    • stateCasStateRequired

      See state

      • EnabledCasStateRequired

        已启用。

      • DisabledCasStateRequired

        已禁用。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/create/cas/client

/zstack/v1/create/cas/client

Operation ID

CreateCasClient

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/create/cas/client' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","casServerLoginUrl":"<casServerLoginUrl>","casServerUrlPrefix":"<casServerUrlPrefix>","serverName":"<serverName>","loginType":"<loginType>","urlTemplate":"<urlTemplate>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "casServerUrlPrefix": "http://zstack.com", "serverName": "http://127.0.0.1", "state": "Enabled", "uuid": "6bc5a073efd73d6d861d348694abcc91", "loginMNUrl": "http://127.0.0.1:8080/zstack/sso/cas/" } }

Change History

This API has no change history records yet.

View all change history